//config.h:

#ifndef _ROARAUDIO_CONFIG_H_
#define _ROARAUDIO_CONFIG_H_

/* uname:  Linux poulenc 2.6.26-2-powerpc64 #1 SMP Thu Sep 16 21:59:57 UTC 2010 ppc GNU/Linux */
/* Date :  Thu Sep 30 19:36:43 UTC 2010 */


#define ROAR_VORBIS_BITS     32

#define ROAR_SUPPORT_ALAW
#define ROAR_SUPPORT_ALAW_RW
#define ROAR_SUPPORT_MULAW
#define ROAR_SUPPORT_MULAW_RW
#define ROAR_SUPPORT_PROXY
#define ROAR_SUPPORT_LISTEN
#define ROAR_SUPPORT_META

#define ROAR_HAVE_MAIN_ARGS

#define ROAR_WITHOUT_CF_CMD
#define ROAR_WITHOUT_CF_CF
#define ROAR_WITHOUT_DCOMP_CB
#define ROAR_WITHOUT_DCOMP_MIDI
#define ROAR_WITHOUT_DCOMP_RDTCS

#define ROAR_OS_LINUX

#define ROAR_HAVE_BIN_OGG123 "ogg123"
#define ROAR_HAVE_BIN_FLAC "flac"
#define ROAR_HAVE_BIN_TIMIDITY "timidity"
#define ROAR_HAVE_BIN_CDPARANOIA "cdparanoia"
#define ROAR_HAVE_BIN_WGET "wget"
#define ROAR_HAVE_BIN_GNUPLOT "gnuplot"
#define ROAR_HAVE_BIN_SSH "ssh"
#define ROAR_HAVE_BIN_PINENTRY "pinentry"
#define ROAR_HAVE_BIN_SSH_ASKPASS "ssh-askpass"
#define ROAR_HAVE_BIN_GZIP "gzip"
#define ROAR_HAVE_BIN_BZIP2 "bzip2"
#define ROAR_HAVE_BIN_GPG "gpg"
#define ROAR_HAVE_BIN_CHAT "chat"
#define ROAR_HAVE_BIN_EJECT "eject"

#define ROAR_HAVE_LIBM
#define ROAR_HAVE_LIBRT
#define ROAR_NEED_LIBRT

#define ROAR_HAVE_ESD
#define ROAR_HAVE_LIBAO
#define ROAR_HAVE_LIBOGG
#define ROAR_HAVE_LIBVORBIS
#define ROAR_HAVE_LIBVORBISFILE
#define ROAR_HAVE_LIBVORBISENC
#define ROAR_HAVE_LIBSPEEX
#define ROAR_HAVE_LIBSPEEXDSP
#define ROAR_HAVE_LIBCELT0
#define ROAR_HAVE_LIBOGGZ
#define ROAR_HAVE_LIBSNDFILE
#define ROAR_HAVE_LIBSHOUT
#define ROAR_HAVE_LIBPULSE
#define ROAR_HAVE_LIBPULSESIMPLE
#define ROAR_HAVE_LIBY2
#define ROAR_HAVE_LIBARTSC
#define ROAR_HAVE_LIBSLP
#define ROAR_HAVE_LIBDNET
#define ROAR_HAVE_LIBPTHREAD
#define ROAR_HAVE_BSDSOCKETS
#define ROAR_HAVE_UNIX
#define ROAR_HAVE_IPV4
#define ROAR_HAVE_IPX
#define ROAR_HAVE_OSS
#define ROAR_HAVE_LIBASOUND
#define ROAR_HAVE_LIBDL
#define ROAR_HAVE_LIBX11

#define ROAR_HAVE_CELT_VERSION_0_7_1
#define ROAR_HAVE_CELT_VERSION _ROAR_MKVERSION(0, 7, 1)
#define ROAR_HAVE_SPEEX_VERSION_1_2RC1
#define ROAR_HAVE_SPEEX_VERSION 0
#define ROAR_HAVE_PULSE_VERSION_0_9_21_REBOOTSTRAPPED_DIRTY
#define ROAR_HAVE_PULSE_VERSION 0
#define ROAR_HAVE_GTK_P_2_0_VERSION_UNKNOWN
#define ROAR_HAVE_GTK_P_2_0_VERSION 0

#define ROAR_HAVE_H_SYS_TYPES
#define ROAR_HAVE_H_SYS_TIME
#define ROAR_HAVE_H_SYS_IOCTL
#define ROAR_HAVE_H_TIME
#define ROAR_HAVE_H_FCNTL
#define ROAR_HAVE_H_UNISTD
#define ROAR_HAVE_H_SIGNAL
#define ROAR_HAVE_H_POLL
#define ROAR_HAVE_H_ESD
#define ROAR_HAVE_H_ARTSC
#define ROAR_HAVE_H_ICONV

#define ROAR_HAVE_LINUX_SENDFILE
#define ROAR_HAVE_IPV6
#define ROAR_HAVE_U_EXIT
#define ROAR_U_EXIT _exit
#define ROAR_HAVE_SETENV
#define ROAR_HAVE_PUTENV
#define ROAR_HAVE_STRTOK_R
#define ROAR_HAVE_NICE
#define ROAR_HAVE_GETGID
#define ROAR_HAVE_GETUID
#define ROAR_HAVE_SETGID
#define ROAR_HAVE_SETUID
#define ROAR_HAVE_SETSID
#define ROAR_HAVE_GETTIMEOFDAY
#define ROAR_HAVE_USLEEP
#define ROAR_HAVE_ALARM
#define ROAR_HAVE_TIME
#define ROAR_HAVE_KILL
#define ROAR_HAVE_UNAME
#define ROAR_HAVE_SYSLOG
#define ROAR_HAVE_OPENLOG
#define ROAR_HAVE_CLOSELOG
#define ROAR_HAVE_FILENO
#define ROAR_HAVE_FTELL
#define ROAR_HAVE_FSEEK
#define ROAR_HAVE_POPEN
#define ROAR_HAVE_PCLOSE
#define ROAR_HAVE_IO_POSIX
#define ROAR_HAVE_FS_POSIX
#define ROAR_HAVE_CHROOT
#define ROAR_HAVE_MLOCK
#define ROAR_HAVE_MMAP
#define ROAR_HAVE_FSYNC
#define ROAR_HAVE_FDATASYNC
#define ROAR_FDATASYNC fdatasync
#define ROAR_HAVE_STRCASESTR
#define ROAR_HAVE_FOPENCOOKIE
#define ROAR_HAVE_PIPE
#define ROAR_HAVE_FORK
#define ROAR_HAVE_WAIT
#define ROAR_HAVE_SQRTL
#define ROAR_HAVE_INLINE
#define ROAR_HAVE_CC_PTHREAD_OPTION
#define ROAR_HAVE_SELECT
#define ROAR_HAVE_H_SYS_SELECT
#define ROAR_HAVE_SHUTDOWN
#define ROAR_SHUTDOWN shutdown
#define ROAR_HAVE_ACCEPT
#define ROAR_ACCEPT accept
#define ROAR_HAVE_GETSERVBYNAME
#define ROAR_HAVE_TYPE_PA_PATH_GET_FILENAME char *
#define ROAR_HAVE_TYPE_PA_UTF8_VALID char *
#define ROAR_HAVE_ARG_SINK_NAME_OF_PA_CONTEXT_MOVE_SINK_INPUT_BY_NAME const char *
#define ROAR_HAVE_ARG_SOURCE_NAME_OF_PA_CONTEXT_MOVE_SOURCE_OUTPUT_BY_NAME const char *
#define ROAR_HAVE_ARG_VOLUME_OF_PA_STREAM_CONNECT_PLAYBACK const pa_cvolume *
#define ROAR_HAVE_SAFE_OVERFLOW
#define ROAR_NATIVE_INT64 long long int
#define ROAR_NATIVE_UINT64 unsigned long long int
#define ROAR_HAVE_CDROM
#define ROAR_DEFAULT_TTY "/dev/tty"
#define ROAR_DEFAULT_OSS_DEV "/dev/dsp"
#define ROAR_PROC_NET_DECNET "/proc/net/decnet"
#define ROAR_DEFAULT_SOCKGRP "audio"
#define ROAR_NEED_GNU_SOURCE

#if defined(ROAR_HAVE_LIBCELT0) && !defined(ROAR_HAVE_LIBCELT)
#define ROAR_HAVE_LIBCELT
#endif

#endif

//ll
